Update a list
- Base URL
-
https://{kibana_url}
- PUT /api/lists
- PUT /s/{space_id}/api/lists
Update a list using the list ID. The original list is replaced, and all unspecified fields are deleted.
Note
You cannot modify the id value.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
List's properties
Responses
Successful response
-
descriptionstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Invalid input data response
Unsuccessful authentication response
Not enough privileges response